#include "KeyboardControler.hpp"

#include "Utils/MoveParser.hpp"

#include <iostream>

Move<ChessBoard::Coords> KeyboardControler::getMove()
{
    std::string commandLine;
    Move<ChessBoard::Coords> m;

    do
    {
        std::getline(std::cin,commandLine);
        m = MoveParser::parse(commandLine,m_colorControlled);

    }while(m.isLegal()==false);

    return m;
}
