#ifndef TST_CHECKMATE_HPP
#define TST_CHECKMATE_HPP

#include <QObject>

#include "Game/Boards/ChessBoard.hpp"
#include "Game/Rules/ChessRules.hpp"
#include "Game/Move.hpp"

class CheckMateTest : public QObject
{
    Q_OBJECT

public:
    CheckMateTest();

private:
    ChessBoard m_boardTest1;
    ChessBoard m_boardTest2;
    ChessBoard m_boardTest3;
    ChessRules m_rules;

private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void checkMateTesting1();
    void checkMateTesting2();
    void checkMateProtectionTesting();
};

#endif // TST_CHECKMATE_H
