#-------------------------------------------------
#
# Project created by QtCreator 2012-05-21T23:54:01
#
#-------------------------------------------------

QT       += core gui svg

TARGET = DVP_LW_Defi3
TEMPLATE = app

INCLUDEPATH += Sources/


SOURCES += \
    Sources/main.cpp \
    Sources/Controlers/Controler.cpp \
    Sources/Game/Piece.cpp \
    Sources/Game/Move.cpp \
    Sources/Controlers/KeyboardControler.cpp \
    Sources/Utils/Notifier.cpp \
    Sources/Utils/Listener.cpp \
    Sources/Renderers/ConsoleDisplay.cpp \
    Sources/Renderers/Renderer.cpp \
    Sources/Renderers/Renderer2D.cpp \
    Sources/Controlers/GNUChessControler.cpp \
    Sources/Utils/MoveParser.cpp \
    Sources/Game/History.cpp \
    Sources/Renderers/Qt2DDisplay.cpp \
    Sources/UI/GameWidget.cpp \
    Sources/GameLauncher.cpp \
    Sources/Renderers/Qt2DPiece.cpp \
    Sources/Controlers/QtControler.cpp \
    Sources/Controlers/QtGNUChessControler.cpp \
    Sources/UI/PromotionDialog.cpp \
    Sources/UI/NewGameDialog.cpp \
    Sources/GameFactory.cpp \
    Sources/Game/HistorySaver.cpp \
    Sources/Game/HistoryLoader.cpp \
    Sources/Game/Boards/ChessBoard.cpp \
    Sources/Game/Boards/Board2D.cpp \
    Sources/Game/Rules/Rules.cpp \
    Sources/Game/Rules/DameRules.cpp \
    Sources/Game/Rules/ChessRules.cpp

HEADERS  += \
    Sources/Controlers/Controler.hpp \
    Sources/Game/Boards/DameBoard.hpp \
    Sources/Game/Boards/Board.hpp \
    Sources/Game/Piece.hpp \
    Sources/Game/Move.hpp \
    Sources/Game/AbstractGame.hpp \
    Sources/Controlers/KeyboardControler.hpp \
    Sources/Game/Game.hpp \
    Sources/Utils/Notifier.hpp \
    Sources/Utils/Listener.hpp \
    Sources/Renderers/ConsoleDisplay.hpp \
    Sources/Renderers/Renderer.hpp \
    Sources/Renderers/Renderer2D.hpp \
    Sources/Controlers/GNUChessControler.hpp \
    Sources/Utils/MoveParser.hpp \
    Sources/Game/History.hpp \
    Sources/Renderers/Qt2DDisplay.hpp \
    Sources/UI/GameWidget.hpp \
    Sources/GameLauncher.hpp \
    Sources/Renderers/Qt2DPiece.hpp \
    Sources/Controlers/QtControler.hpp \
    Sources/Controlers/QtGNUChessControler.hpp \
    Sources/UI/PromotionDialog.hpp \
    Sources/UI/NewGameDialog.hpp \
    Sources/GameFactory.hpp \
    Sources/Game/HistorySaver.hpp \
    Sources/Game/HistoryLoader.hpp \
    Sources/Game/Boards/DameBoard.hpp \
    Sources/Game/Boards/ChessBoard.hpp \
    Sources/Game/Boards/Board2D.hpp \
    Sources/Game/Rules/Rules2D.hpp \
    Sources/Game/Rules/Rules.hpp \
    Sources/Game/Rules/DameRules.hpp \
    Sources/Game/Rules/ChessRules.hpp

RESOURCES += \
    pieces.qrc

FORMS += \
    Sources/UI/PromotionDialog.ui \
    Sources/UI/NewGameDialog.ui
