#include "GameLauncher.hpp"

#include "Game/AbstractGame.hpp"

void GameLauncher::run()
{
    m_pGame->play();

    if ( m_pGame->isDraw() )
    {
        emit gameDraw();
    }

    if ( m_pGame->isVictory() )
    {
        emit gameVictory(m_pGame->getVictoriousColor());
    }
}
