#ifndef TST_BISHOPMOVES_HPP
#define TST_BISHOPMOVES_HPP

#include <QObject>

#include "Game/Boards/ChessBoard.hpp"
#include "Game/Rules/ChessRules.hpp"
#include "Game/Move.hpp"

class BishopMovesTest : public QObject
{
    Q_OBJECT

public:
    BishopMovesTest();

private:
    ChessBoard m_board;
    ChessRules m_rules;
    ChessBoard::Coords sourceCoords;

private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void bishopTesting();
    void bishopTesting_data();

};

#endif // TST_BISHOPMOVES_HPP
